Snap for 7923150 from c5e371d8e7e1b4078603ea0487ef127b321a9271 to mainline-cellbroadcast-release

Change-Id: Iffb3db397d2cfd131bcf5938ada822163accace1
diff --git a/filegroups/suite/compatibility-host-util.jar b/filegroups/suite/compatibility-host-util.jar
index 2c7162d..0bc9d04 100755
--- a/filegroups/suite/compatibility-host-util.jar
+++ b/filegroups/suite/compatibility-host-util.jar
Binary files differ
diff --git a/filegroups/suite/compatibility-tradefed.jar b/filegroups/suite/compatibility-tradefed.jar
index 1e21e14..b87f284 100755
--- a/filegroups/suite/compatibility-tradefed.jar
+++ b/filegroups/suite/compatibility-tradefed.jar
Binary files differ
diff --git a/filegroups/tradefed/TradeFedTestApp.apk b/filegroups/tradefed/TradeFedTestApp.apk
index ef8df6c..76918f7 100755
--- a/filegroups/tradefed/TradeFedTestApp.apk
+++ b/filegroups/tradefed/TradeFedTestApp.apk
Binary files differ
diff --git a/filegroups/tradefed/TradeFedUiTestApp.apk b/filegroups/tradefed/TradeFedUiTestApp.apk
index 32ecd24..fa4dbd5 100755
--- a/filegroups/tradefed/TradeFedUiTestApp.apk
+++ b/filegroups/tradefed/TradeFedUiTestApp.apk
Binary files differ
diff --git a/filegroups/tradefed/script_help.sh b/filegroups/tradefed/script_help.sh
index f33b239..434c858 100755
--- a/filegroups/tradefed/script_help.sh
+++ b/filegroups/tradefed/script_help.sh
@@ -40,7 +40,7 @@
 
 # All to specify an alternative Java binary, other than the one on PATH
 TF_JAVA="java"
-if [ ! -z "${TF_JAVA_HOME}" ]; then
+if [ -n "${TF_JAVA_HOME}" ]; then
   # following similar convention as JAVA_HOME
   TF_JAVA=${TF_JAVA_HOME}/bin/java
 fi
@@ -92,7 +92,7 @@
 fi
 
 # include any host-side test jars from suite
-if [ ! -z "${ANDROID_HOST_OUT_TESTCASES}" ]; then
+if [ -n "${ANDROID_HOST_OUT_TESTCASES}" ]; then
     for folder in ${ANDROID_HOST_OUT_TESTCASES}/*; do
         for entry in "$folder"/*; do
             if [[ "$entry" = *".jar"* ]]; then
diff --git a/filegroups/tradefed/tradefed-contrib.jar b/filegroups/tradefed/tradefed-contrib.jar
index ed51841..083ac12 100755
--- a/filegroups/tradefed/tradefed-contrib.jar
+++ b/filegroups/tradefed/tradefed-contrib.jar
Binary files differ
diff --git a/filegroups/tradefed/tradefed-test-framework.jar b/filegroups/tradefed/tradefed-test-framework.jar
index 9d35841..66ccd73 100755
--- a/filegroups/tradefed/tradefed-test-framework.jar
+++ b/filegroups/tradefed/tradefed-test-framework.jar
Binary files differ
diff --git a/filegroups/tradefed/tradefed-tests.jar b/filegroups/tradefed/tradefed-tests.jar
index d56ceda..6280ad9 100755
--- a/filegroups/tradefed/tradefed-tests.jar
+++ b/filegroups/tradefed/tradefed-tests.jar
Binary files differ
diff --git a/filegroups/tradefed/tradefed.jar b/filegroups/tradefed/tradefed.jar
index e6357b2..3ff9fef 100755
--- a/filegroups/tradefed/tradefed.jar
+++ b/filegroups/tradefed/tradefed.jar
Binary files differ
diff --git a/filegroups/tradefed/tradefed.sh b/filegroups/tradefed/tradefed.sh
index b1f9b0c..3867bec 100755
--- a/filegroups/tradefed/tradefed.sh
+++ b/filegroups/tradefed/tradefed.sh
@@ -25,10 +25,30 @@
 
 # Allow to specify another java entry point
 CONSOLE_CLASS="com.android.tradefed.command.Console"
-if [ ! -z "${ENTRY_CLASS}" ]; then
+if [ -n "${ENTRY_CLASS}" ]; then
   CONSOLE_CLASS=${ENTRY_CLASS}
 fi
 
+if [ -n "${LOCAL_AUTH}" ]; then
+  if [ -n "${LOCAL_CLIENT_FILE}" ]; then
+    echo "Using user provided LOCAL_CLIENT_FILE"
+  else
+    export LOCAL_CLIENT_FILE="${TF_JAR_DIR}"/client_id_file.json
+  fi
+
+  ${TF_JAVA} -cp "${TF_PATH}" com.android.tradefed.command.LocalDeveloper
+  local_client=$?
+  if [ "${local_client}" -eq 0 ]; then
+    gcloud auth application-default login --scopes=https://www.googleapis.com/auth/androidbuild.internal --client-id-file "$LOCAL_CLIENT_FILE"
+    gcloud_res=$?
+    if [ "${gcloud_res}" -ne 0 ]; then
+        echo "Error with auth. aborting tradefed.sh"
+        rm "$LOCAL_CLIENT_FILE"
+        exit 1
+    fi
+  fi
+fi
+
 # Note: must leave $RDBG_FLAG and $TRADEFED_OPTS unquoted so that they go away
 # when unset
 exec ${TF_JAVA} $ADD_OPENS_FLAG $RDBG_FLAG -XX:+HeapDumpOnOutOfMemoryError \
diff --git a/filegroups/tradefed/version.txt b/filegroups/tradefed/version.txt
index 640859b..c345d9b 100755
--- a/filegroups/tradefed/version.txt
+++ b/filegroups/tradefed/version.txt
@@ -1 +1 @@
-7801799
+7919596